    The XSPEC zdust model: extinction by dust grains.

xszdust
The xszdust model is a multiplicative model component.

The model is described at [1] .

The ebv parameter has been renamed e_bmv to match the XSPEC definition. The name ebv can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xszdust", "mdl")
>>> print(mdl)

Create a component of the xszdust model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.method frozen 1 1 3 mdl.E_BmV thawed 0.1 0 100 mdl.Rv frozen 3.1 0 10 mdl.redshift frozen 0 0 20

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
method
The model to use: 1 is Milky Way, 2 is LMC, 3 is SMC. This parameter can not be thawed.
E_BmV
The color excess, E(B-V).
Rv
The ratio of total to selective extinction.
redshift
The redshift of the absorber.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelZdust.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023